io.undertow.server.handlers.builder

## Interface HandlerBuilder

All Known Implementing Classes:
  AccessControlListHandler.Builder, AccessLogHandler.Builder, AllowedMethodsHandler.Builder, BlockingHandler.Builder, ByteRangeHandler.Builder, CanonicalPathHandler.Builder, DisableCacheHandler.Builder, DisallowedMethodsHandler.Builder, EagerFormParsingHandler.Builder, EncodingHandler.Builder, FileErrorPageHandler.Builder, ForwardedHandler.Builder, HttpContinueAcceptingHandler.Builder, HttpTraceHandler.Builder, IPAddressAccessControlHandler.Builder, JDBCLogHandler.Builder, JvmRouteHandler.Builder, LearningPushHandler.Builder, LocalNameResolvingHandler.Builder, PathSeparatorHandler.Builder, PeerNameResolvingHandler.Builder, PredicatesHandler.DoneHandlerBuilder, PredicatesHandler.RestartHandlerBuilder, ProxyHandlerBuilder, ProxyPeerAddressHandler.Builder, RedirectHandler.Builder, RequestBufferingHandler.Builder, RequestDumpingHandler.Builder, RequestEncodingHandler.Builder, RequestLimitingHandler.Builder, ResourceHandler.Builder, ResponseCodeHandlerBuilder, ResponseRateLimitingHandler.Builder, RewriteHandlerBuilder, SameSiteCookieHandler.Builder, SecureCookieHandler.Builder, SetAttributeHandler.Builder, SetAttributeHandler.ClearBuilder, SetErrorHandler.Builder, SetHeaderHandler.Builder, SSLHeaderHandler.Builder, StoredResponseHandler.Builder, StuckThreadDetectionHandler.Builder, URLDecodingHandler.Builder

    public interface HandlerBuilder

Interface that provides a way of providing a textual representation of a handler.

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`HandlerWrapper` `build(Map<String,Object> config)` Creates the handler
`String` `defaultParameter()`
`String` `name()` The string representation of the handler name.
`Map<String,Class<?>>` `parameters()` Returns a map of parameters and their types.
`Set<String>` `requiredParameters()`

### Method Detail

#### name

    String name()

The string representation of the handler name.

Returns:
  The handler name

#### parameters

    Map<String,Class<?>> parameters()

Returns a map of parameters and their types.

#### requiredParameters

    Set<String> requiredParameters()

Returns:
  The required parameters

#### defaultParameter

    String defaultParameter()

Returns:
  The default parameter name, or null if it does not have a default parameter

#### build

    HandlerWrapper build(Map<String,Object> config)

Creates the handler

Parameters:
  `config` - The handler config
Returns:
  The new predicate